[Numpy-discussion] numpy installation issues

Chris Bartels c.l.l.bartels@gmail....
Mon Jul 7 03:20:29 CDT 2008


Hi,

I have been trying to install numpy (as a dependancy of matplotlib) on
cygwin. I would like to use the native cygwin-python numpy install, as the
cygwin development environment I use is portable on usb disk (
http://www.dam.brown.edu/people/sezer/software/cygwin/). (Extremely useful!)

It would be even better if i can actually install numpy/scipy/matplotlib on
this portable distribution.

Unfortunately "python setup.py build" does give an error. (I installed
python with sources, so /usr/lib/python2.5/config is existing. Which seemed
to be a problem with another python package when I googled for this error.)

I included the build messages... Anybody any clue?

(I know there exists now a windows enthought distribution but I cannot use
that as it is not portable and I don't know how to combine it with cygwin. I
essentially only need numpy and matplotlib. These should not be impossible
to install?)

Kind regards,
Chris
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://projects.scipy.org/pipermail/numpy-discussion/attachments/20080707/db132021/attachment-0001.html 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: buildlog.zip
Type: application/zip
Size: 3990 bytes
Desc: not available
Url : http://projects.scipy.org/pipermail/numpy-discussion/attachments/20080707/db132021/attachment-0001.zip 


More information about the Numpy-discussion mailing list